Wine 2.0.1 稳定版发布,附 Ubuntu 下安装教程

局长
 局长
发布于 2017年04月25日
收藏 23

全新稳定的 Wine 2.0.1 发布了,可在 Ubuntu 16.04 LTS 和 17.04 上安装,但需要添加新的 Wine 存储库来获取。

下面将介绍 Wine 2.0.1 的一些新特性,以及如何在 Ubuntu 16.04 LTS 及更高版本上添加新的 Wine 存储库。

Wine 2.0.1 新特性:

Wine 2.0.1 是 Wine 2.0 稳定系列的首个发布版本。更新内容主要是各种错误修复和一般的功能改进,包括许多游戏和应用程序的崩溃修复和性能调整,具体有以下应用:

  • Need For Speed

  • Magic: The Gathering Online 4.0

  • Venom Codename: Outbreak

  • ComicRack 0.9.x

  • Odallus The Dark Call

  • Git for Windows

  • Marvel Heroes 2015 launcher

  • DirectDraw games

  • UnrealEngine4 games

本次更新的版本可以正确检测出 GeForce GT 525M 显卡,获取到 AMD FIJI 的 GPU信息。

更多更新内容,点此查看

源码下载 和 安装包下载

新的 Wine 存储库

官方的 Wine 存储库不再托管在 Launchpad 上,这意味着官方的 Wine PPA 不会再获得更新。

要在 Ubuntu 16.04 LTS 或更高版本中安装 Wine,需要将新的 Wine 存储库添加到 Ubuntu(或衍生版本) 软件源中。这个新的存储库提供了开发版本和稳定版本的 Wine,根据需求选择安装的版本。

以下的 Wine 安装说明来自 Wine HQ 网站。

将新的 Wine 存储库添加到 Ubuntu

有几种方法可以将新的 Wine 存储库添加到 Ubuntu。这里使用最快的方法 — 使用命令行

首先,如果运行的是 64 位版本的 Ubuntu,需要先运行此命令,因为 Wine 是 32 位应用程序:

sudo dpkg --add-architecture i386

打开一个新的终端窗口并运行该条命令,将新的 Wine 存储库添加到 Ubuntu 软件源:

sudo apt-add-repository 'https://dl.winehq.org/wine-builds/ubuntu/'

接下来,下载并安装 Wine 存储库安全密钥,以便可以验证来自存储库的软件包:

wget https://dl.winehq.org/wine-builds/Release.key && sudo apt-key add Release.key

最后,通过运行此命令来安装(或升级) Wine 2.0.1:

sudo apt update && sudo apt install winehq-stable

如果遇到任何依赖性错误(常见于旧版 PPA),Wine HQ wiki 建议根据需要进行安装,然后重新运行上面的 ‘update && install’ 命令。

编译自:OMGUBUNTU

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Wine 2.0.1 稳定版发布,附 Ubuntu 下安装教程
加载中

精彩评论

人生能绕几个圈
人生能绕几个圈
想省事的就深度吧,现成的,不用装就能用
NickWilde
NickWilde
vbox+xp感觉省事不少,
人生能绕几个圈
人生能绕几个圈

引用来自“惊鸟”的评论

wine的卸载还恶心不恶心了?很久很久以前用过这东西,把我恶心的不行
是你不会用吧,很少听说玩这个的有你这情况
i
iblackangel
打魔兽争霸就得用到 wine

最新评论(34

人生能绕几个圈
人生能绕几个圈

引用来自“iblackangel”的评论

打魔兽争霸就得用到 wine

引用来自“zhf_sy”的评论

魔兽都可以,强

引用来自“人生能绕几个圈”的评论

这个貌似很多年前就可以了吧,有些热门项目一直有wine的高优先级支持

引用来自“zhf_sy”的评论

多年前一直跟qq搏斗,这种游戏没试过,只玩steam

引用来自“人生能绕几个圈”的评论

深度不是有steam吗

引用来自“zhf_sy”的评论

steam一直都可以,就是qq不行不好

引用来自“人生能绕几个圈”的评论

深度的qq还不行?

引用来自“zhf_sy”的评论

不是深度qq不行,是其他系统的qq不行
其它发行版倒是要自己装,但也有人用深度的方式装qq在fedora、debian甚至arch上
ousinka
ousinka

引用来自“人生能绕几个圈”的评论

想省事的就深度吧,现成的,不用装就能用

引用来自“ousinka”的评论

周末好奇,装了个深度,结果重启就重不来。现在电脑还悲剧着呢。。。

引用来自“人生能绕几个圈”的评论

如果你c盘装的是bug10或用gpt引导而非mbr或bios设为uefi而非lagecy的话很有可能
周末再整一下👍
zhf_sy
zhf_sy

引用来自“iblackangel”的评论

打魔兽争霸就得用到 wine

引用来自“zhf_sy”的评论

魔兽都可以,强

引用来自“人生能绕几个圈”的评论

这个貌似很多年前就可以了吧,有些热门项目一直有wine的高优先级支持

引用来自“zhf_sy”的评论

多年前一直跟qq搏斗,这种游戏没试过,只玩steam

引用来自“人生能绕几个圈”的评论

深度不是有steam吗

引用来自“zhf_sy”的评论

steam一直都可以,就是qq不行不好

引用来自“人生能绕几个圈”的评论

深度的qq还不行?
不是深度qq不行,是其他系统的qq不行
人生能绕几个圈
人生能绕几个圈

引用来自“iblackangel”的评论

打魔兽争霸就得用到 wine

引用来自“zhf_sy”的评论

魔兽都可以,强

引用来自“人生能绕几个圈”的评论

这个貌似很多年前就可以了吧,有些热门项目一直有wine的高优先级支持

引用来自“zhf_sy”的评论

多年前一直跟qq搏斗,这种游戏没试过,只玩steam

引用来自“人生能绕几个圈”的评论

深度不是有steam吗

引用来自“zhf_sy”的评论

steam一直都可以,就是qq不行不好
深度的qq还不行?
zhf_sy
zhf_sy

引用来自“iblackangel”的评论

打魔兽争霸就得用到 wine

引用来自“zhf_sy”的评论

魔兽都可以,强

引用来自“人生能绕几个圈”的评论

这个貌似很多年前就可以了吧,有些热门项目一直有wine的高优先级支持

引用来自“zhf_sy”的评论

多年前一直跟qq搏斗,这种游戏没试过,只玩steam

引用来自“人生能绕几个圈”的评论

深度不是有steam吗
steam一直都可以,就是qq不行不好
人生能绕几个圈
人生能绕几个圈

引用来自“iblackangel”的评论

打魔兽争霸就得用到 wine

引用来自“zhf_sy”的评论

魔兽都可以,强

引用来自“人生能绕几个圈”的评论

这个貌似很多年前就可以了吧,有些热门项目一直有wine的高优先级支持

引用来自“zhf_sy”的评论

多年前一直跟qq搏斗,这种游戏没试过,只玩steam
深度不是有steam吗
zhf_sy
zhf_sy

引用来自“iblackangel”的评论

打魔兽争霸就得用到 wine

引用来自“zhf_sy”的评论

魔兽都可以,强

引用来自“人生能绕几个圈”的评论

这个貌似很多年前就可以了吧,有些热门项目一直有wine的高优先级支持
多年前一直跟qq搏斗,这种游戏没试过,只玩steam
人生能绕几个圈
人生能绕几个圈

引用来自“惊鸟”的评论

wine的卸载还恶心不恶心了?很久很久以前用过这东西,把我恶心的不行
是你不会用吧,很少听说玩这个的有你这情况
人生能绕几个圈
人生能绕几个圈

引用来自“人生能绕几个圈”的评论

想省事的就深度吧,现成的,不用装就能用

引用来自“ousinka”的评论

周末好奇,装了个深度,结果重启就重不来。现在电脑还悲剧着呢。。。
如果你c盘装的是bug10或用gpt引导而非mbr或bios设为uefi而非lagecy的话很有可能
人生能绕几个圈
人生能绕几个圈

引用来自“nigulaxi”的评论

搞得跟windows有仇似的非要这么折腾
那bug10集成ubuntu又是什么梗
返回顶部
顶部